diff gsm-fw/cfgmagic/processconf.sh @ 524:11b6ca57a079

gsm-fw/cfgmagic: first rough sketch at L1 configuration
author Michael Spacefalcon <msokolov@ivan.Harhan.ORG>
date Mon, 14 Jul 2014 07:03:53 +0000
parents 6f4cadd1fd7f
children 407c20f90f6a
line wrap: on
line diff
--- a/gsm-fw/cfgmagic/processconf.sh	Mon Jul 14 05:16:14 2014 +0000
+++ b/gsm-fw/cfgmagic/processconf.sh	Mon Jul 14 07:03:53 2014 +0000
@@ -57,10 +57,22 @@
 	"Error: RAMFFS_BLKSIZE_LOG2 and RAMFFS_NBLOCKS need to be defined" 1>&2
 		exit 1
 	fi
-	export_to_c	RAMFFS_BLKSIZE_LOG2
-	export_to_m4	RAMFFS_BLKSIZE_LOG2
-	export_to_c	RAMFFS_NBLOCKS
-	export_to_m4	RAMFFS_NBLOCKS
+	export_to_c	RAMFFS_BLKSIZE_LOG2 RAMFFS_NBLOCKS
+	export_to_m4	RAMFFS_BLKSIZE_LOG2 RAMFFS_NBLOCKS
+fi
+
+# L1 configuration
+if [ "$CONFIG_GSM" = 1 -a "$CONFIG_L1_STANDALONE" = 1 ]
+then
+	echo "Error: feature gsm and feature l1stand are mutually exclusive" \
+		1>&2
+	exit 1
+fi
+if [ "$CONFIG_GSM" = 1 -o "$CONFIG_L1_STANDALONE" = 1 ]
+then
+	CONFIG_INCLUDE_L1=1
+	export_to_c	CONFIG_INCLUDE_L1
+	export_to_mk	CONFIG_INCLUDE_L1
 fi
 
 # The list of build components: we have some invariants that are always
@@ -72,6 +84,10 @@
 then
 	BUILD_COMPONENTS="$BUILD_COMPONENTS gpf"
 fi
+if [ "$CONFIG_INCLUDE_L1" = 1 ]
+then
+	BUILD_COMPONENTS="$BUILD_COMPONENTS L1"
+fi
 
 export_to_mk BUILD_COMPONENTS